/*
 * Project: irond
 * Package: src.de.fhhannover.inform.ifmap.datastructure
 * File:    IdentifierContainer.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.ifmap.datastructure;

import java.util.ArrayList;
/**
 * Holds Identifier
 * @author Tobias
 *
 */
@SuppressWarnings("serial")
public class IdentifierContainer 
extends ArrayList<Identifier> {	
	public void addIdentifier(Identifier ident){
		if(ident != null){
		//System.err.println("IdentifierContainer: Verarbeite Identifier "+ident.getName());
		for(int i = 0; i<this.size(); i++){
			if(ident.isTheSameLike(this.get(i))){				
				for(LinkContainer lc : this.get(i).getLinks()){
				  for(Link l : lc.getLinks()){
					if(l.getIdentifier1().isTheSameLike(this.get(i))){
						l.setIdentifier1(ident);
					}					
					if(l.getIdentifier2().isTheSameLike(this.get(i))){
						l.setIdentifier2(ident);
					}
				  }
					ident.addLink(lc);
				}
				this.remove(i);				
			}
			else{				
			}
		}
		this.add(ident);		
		}
	}
	
	public String toString(){
		StringBuffer buf = new StringBuffer();
		for(int i = 0; i<this.size(); i++){
			buf.append(this.get(i).toString());
		}
		return buf.toString();
	}
	
	public boolean containsIdentifier(Identifier ident){
		for(int i = 0; i<this.size(); i++){
			if(ident.isTheSameLike(this.get(i))){				
				return true;
			}
		}
		return false;
	}
}
