/*
 * Project: irond
 * Package: src.de.fhhannover.inform.ifmap.visual
 * File:    IpAddressPanel.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.ifmap.visual;

import javax.swing.JPanel;
import com.jgoodies.forms.layout.FormLayout;
import com.jgoodies.forms.layout.ColumnSpec;
import com.jgoodies.forms.layout.RowSpec;
import com.jgoodies.forms.factories.FormFactory;
import javax.swing.JRadioButton;
import javax.swing.JTextField;
import javax.swing.JLabel;
import javax.swing.ButtonGroup;

public class IpAddressPanel extends JPanel {
	private JTextField textField_1;
	private JTextField textField_2;
	private JTextField textField_3;
	private JTextField textField_4;
	private JTextField textField_5;
	private final ButtonGroup buttonGroup = new ButtonGroup();
	public JRadioButton rdbtnSingleIp;
	public JTextField ipAddress;

	/**
	 * Create the panel.
	 */
	public IpAddressPanel() {
		setLayout(new FormLayout(new ColumnSpec[] {
				FormFactory.RELATED_GAP_COLSPEC,
				FormFactory.DEFAULT_COLSPEC,
				FormFactory.RELATED_GAP_COLSPEC,
				ColumnSpec.decode("default:grow"),
				FormFactory.RELATED_GAP_COLSPEC,
				FormFactory.DEFAULT_COLSPEC,
				FormFactory.RELATED_GAP_COLSPEC,
				ColumnSpec.decode("max(7dlu;default)"),
				FormFactory.RELATED_GAP_COLSPEC,
				ColumnSpec.decode("default:grow"),
				FormFactory.RELATED_GAP_COLSPEC,
				ColumnSpec.decode("max(20dlu;default)"),
				FormFactory.RELATED_GAP_COLSPEC,
				ColumnSpec.decode("default:grow"),
				FormFactory.RELATED_GAP_COLSPEC,
				FormFactory.DEFAULT_COLSPEC,
				FormFactory.RELATED_GAP_COLSPEC,
				ColumnSpec.decode("default:grow"),},
			new RowSpec[] {
				FormFactory.RELATED_GAP_ROWSPEC,
				FormFactory.DEFAULT_ROWSPEC,
				FormFactory.RELATED_GAP_ROWSPEC,
				FormFactory.DEFAULT_ROWSPEC,
				FormFactory.RELATED_GAP_ROWSPEC,
				FormFactory.DEFAULT_ROWSPEC,
				FormFactory.RELATED_GAP_ROWSPEC,
				FormFactory.DEFAULT_ROWSPEC,}));
		
		rdbtnSingleIp = new JRadioButton("single IP");
		buttonGroup.add(rdbtnSingleIp);
		add(rdbtnSingleIp, "2, 2");
		
		ipAddress = new JTextField();
		add(ipAddress, "4, 2, 4, 1");
		ipAddress.setColumns(10);
		
		JRadioButton rdbtnIpRange = new JRadioButton("IP range");
		buttonGroup.add(rdbtnIpRange);
		add(rdbtnIpRange, "2, 4");
		
		textField_1 = new JTextField();
		add(textField_1, "4, 4, 4, 1");
		textField_1.setColumns(10);
		
		JLabel label = new JLabel(".");
		add(label, "8, 4, center, default");
		
		textField_2 = new JTextField();
		add(textField_2, "9, 4, 2, 1, fill, default");
		textField_2.setColumns(3);
		
		JLabel label_1 = new JLabel("-");
		add(label_1, "11, 4, center, default");
		
		textField_3 = new JTextField();
		add(textField_3, "12, 4, 2, 1, fill, default");
		textField_3.setColumns(3);
		
		JRadioButton rdbtnIpSubnet = new JRadioButton("subnet");
		buttonGroup.add(rdbtnIpSubnet);
		add(rdbtnIpSubnet, "2, 6");
		
		textField_4 = new JTextField();
		add(textField_4, "4, 6");
		textField_4.setColumns(10);
		
		JLabel label_2 = new JLabel(".0");
		add(label_2, "5, 6, 2, 1, fill, default");
		
		JRadioButton rdbtnIpv = new JRadioButton("IPv6");
		buttonGroup.add(rdbtnIpv);
		add(rdbtnIpv, "2, 8");
		
		textField_5 = new JTextField();
		add(textField_5, "4, 8, fill, default");
		textField_5.setColumns(10);

	}

}
